# Class TCLIService.AsyncClient.GetCatalogs_call

java.lang.Object
org.apache.thrift.async.TAsyncMethodCall<TGetCatalogsResp>
com.databricks.jdbc.model.client.thrift.generated.TCLIService.AsyncClient.GetCatalogs_call

Enclosing class:
  `TCLIService.AsyncClient`

public static class TCLIService.AsyncClient.GetCatalogs_call extends org.apache.thrift.async.TAsyncMethodCall<TGetCatalogsResp>

## Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.thrift.async.TAsyncMethodCall

`org.apache.thrift.async.TAsyncMethodCall.State`

## Field Summary

### Fields inherited from class org.apache.thrift.async.TAsyncMethodCall

`client, transport`

## Constructor Summary

Constructors
Constructor
Description
`GetCatalogs_call(TGetCatalogsReq req, org.apache.thrift.async.AsyncMethodCallback<TGetCatalogsResp> resultHandler, org.apache.thrift.async.TAsyncClient client, org.apache.thrift.protocol.TProtocolFactory protocolFactory, org.apache.thrift.transport.TNonblockingTransport transport)`

## Method Summary

Modifier and Type
Method
Description
`TGetCatalogsResp`
`getResult()`
`void`
`write_args(org.apache.thrift.protocol.TProtocol prot)`

### Methods inherited from class org.apache.thrift.async.TAsyncMethodCall

`getClient, getFrameBuffer, getSequenceId, getStartTime, getState, getTimeoutTimestamp, hasTimeout, isFinished, onError, prepareMethodCall`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GetCatalogs_call

public GetCatalogs_call(TGetCatalogsReq req, org.apache.thrift.async.AsyncMethodCallback<TGetCatalogsResp> resultHandler, org.apache.thrift.async.TAsyncClient client, org.apache.thrift.protocol.TProtocolFactory protocolFactory, org.apache.thrift.transport.TNonblockingTransport transport) throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

## Method Details

### write_args

public void write_args(org.apache.thrift.protocol.TProtocol prot) throws org.apache.thrift.TException

Specified by:
  `write_args` in class `org.apache.thrift.async.TAsyncMethodCall<TGetCatalogsResp>`
Throws:
  `org.apache.thrift.TException`

### getResult

public TGetCatalogsResp getResult() throws org.apache.thrift.TException

Specified by:
  `getResult` in class `org.apache.thrift.async.TAsyncMethodCall<TGetCatalogsResp>`
Throws:
  `org.apache.thrift.TException`